<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<ng-container *ngIf="workflowState$ && (workflowState$ | async) as workflowState">
	<div class="alert alert-light" *ngIf="workflowState.startDate;">
		<div class="row">
			<div class="col-3 text-nowrap">
				<i aria-hidden="true" class="bi bi-stopwatch fs-5"></i>
				{{ runTime | date:"H'h' mm'm' ss's'" }}
			</div>
			<div class="col-9">
				<span *ngIf="workflowState.startDate;">{{ workflowState.startDate | date:'medium' }}</span>
				<span *ngIf="workflowState.endDate;"> - {{ workflowState.endDate | date:'medium' }}</span>
			</div>
		</div>
		<ng-container *ngIf="displayMetrics && workflowState.startDate && !workflowState.endDate">
			<div class="row mt-1">
				<div class="col-3">
					<i aria-hidden="true" class="bi bi-cpu fs-5"></i>
					<span *ngIf="usedCpuPercentage > 0"> {{ usedCpuPercentage }}%</span>
					<span *ngIf="processorName$ | async as processorName"> ({{ processorName }})</span>
				</div>
				<div class="col-9">
					<ngb-progressbar [value]="usedCpuPercentage"/>
				</div>
			</div>
			<div class="row mt-1">
				<div class="col-3">
					<i aria-hidden="true" class="bi bi-memory fs-5"></i>
					<span *ngIf="usedMemoryPercentage > 0"> {{ usedMemoryPercentage }}%</span>
				</div>
				<div class="col-9">
					<ngb-progressbar [value]="usedMemoryPercentage"/>
				</div>
			</div>
		</ng-container>
	</div>
</ng-container>